Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle interMedia Java Classes API Reference 10g Release 2 (10.2) Part No. B14301-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.media.jai.io
Class ByteArraySeekableOutputStream

`java.lang.Object
java.io.OutputStream
oracle.ord.media.jai.io.SeekableOutputStream
oracle.ord.media.jai.io.ByteArraySeekableOutputStream`

public class ByteArraySeekableOutputStream
extends SeekableOutputStream

A SeekableOutputStream class that writes to a ByteArrayOutputStream object whose original contents will be overwritten.

Constructor Summary
`ByteArraySeekableOutputStream(java.io.ByteArrayOutputStream baos)` Creates a ByteArraySeekableOutputStream object from a ByteArrayOutputStream object.

Method Summary
`void` | `close()` Closes this output stream and releases any resources associated with this stream.
`void` | `flush()` Flushes the output stream and forces any buffered output bytes to be written to the stream.
`long` | `getFilePointer()` Returns the offset in the stream.
`long` | `length()` Returns the current length of the stream.
`void` | `seek(long pos)` Sets the file-pointer offset, measured from the beginning of this stream, at which the next write operation will occur.
`void` | `truncate(long len)` Truncates the stream to the specified length.
`void` | `write(byte[] b)` Writes all bytes in the specified byte array to the stream.
`void` | `write(byte[] b, int off, int len)` Writes the specified number of bytes from the specified byte array to the stream.
`void` | `write(int b)` Writes the specified byte to the stream.

Methods inherited from class oracle.ord.media.jai.io.SeekableOutputStream
`wrapOutputStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArraySeekableOutputStream

    public ByteArraySeekableOutputStream(java.io.ByteArrayOutputStream baos)
                                  throws java.io.IOException

  Creates a ByteArraySeekableOutputStream object from a ByteArrayOutputStream object.
Parameters:
  `baos` - the byte array output stream to which data will be written.

Method Detail

### length

    public long length()
                throws java.io.IOException

  Returns the current length of the stream.
  Specified by:
    `length` in class `SeekableOutputStream`
  Throws:
    `java.io.IOException` - if an IO error occurs.

### getFilePointer

    public long getFilePointer()
                        throws java.io.IOException

  Returns the offset in the stream.
  Specified by:
    `getFilePointer` in class `SeekableOutputStream`
  Throws:
    `java.io.IOException` - if an IO error occurs.

### seek

    public void seek(long pos)
              throws java.io.IOException

  Sets the file-pointer offset, measured from the beginning of this stream, at which the next write operation will occur.

  The offset may be set beyond the end of the stream. Setting the offset beyond the end of the stream does not change the stream length; the stream length will change only by writing after the offset has been set beyond the end of the stream.

  In Java, a byte array cannot be longer than 2 gigabytes, therefore the value of the pos parameter cannot be larger than 2^31-1.

  Specified by:
    `seek` in class `SeekableOutputStream`
  Parameters:
    `pos` - the offset position, measured in bytes from the beginning of the stream, at which to set the file pointer.
  Throws:
    `java.io.IOException` - if the value of the pos parameter is less than zero or larger than 2^31-1, or if an IO error occurs.

### truncate

    public void truncate(long len)
                  throws java.io.IOException

  Truncates the stream to the specified length.
  Specified by:
    `truncate` in class `SeekableOutputStream`
  Parameters:
    `len` - the length of the stream, in bytes.
  Throws:
    `java.io.IOException` - if the value of the len parameter is less than zero or larger than the stream length, or if an IO error occurs.

### write

    public void write(int b)
               throws java.io.IOException

  Writes the specified byte to the stream.
  Parameters:
    `b` - the byte to be written to the stream. Only the low-order byte is written; the upper 24 bits are ignored.
  Throws:
    `java.io.IOException` - if an IO error occurs.

### write

    public void write(byte[] b)
               throws java.io.IOException

  Writes all bytes in the specified byte array to the stream.
  Parameters:
    `b` - an array of bytes to be written to the stream.
  Throws:
    `java.io.IOException` - if an IO error occurs.

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Writes the specified number of bytes from the specified byte array to the stream.
  Parameters:
    `b` - the buffer containing the data to be written to the stream.
    `off` - the starting position for the offset in the buffer.
    `len` - the number of bytes to write to the stream.
  Throws:
    `java.io.IOException` - if an IO error occurs.

### flush

    public void flush()
               throws java.io.IOException

  Flushes the output stream and forces any buffered output bytes to be written to the stream.

  There is little need to call this method until all the data has been written because the close method includes a call to the flush method.

  Throws:
    `java.io.IOException` - if an IO error occurs.

### close

    public void close()
               throws java.io.IOException

  Closes this output stream and releases any resources associated with this stream. Before closing the stream, this method automatically calls the `flush()` method to write any buffered bytes to the stream.
  Throws:
    `java.io.IOException` - if an IO error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle interMedia Java Classes API Reference 10g Release 2 (10.2) Part No. B14301-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2005, Oracle. All rights reserved.